{ config, lib, ... }:
{
  programs = {
    sway.enable = config.system.desktop.enable;
    niri.enable = config.system.desktop.enable;
    hyprland.enable = config.system.desktop.enable;
    xwayland.enable = lib.mkForce true;
  };

  services.dbus.enable = config.system.desktop.enable;
  security.pam.services.swaylock = {};
}
